# Form implementation generated from reading ui file 'src/eric7/Preferences/ConfigurationPages/LogViewerPage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_LogViewerPage(object):
    def setupUi(self, LogViewerPage):
        LogViewerPage.setObjectName("LogViewerPage")
        LogViewerPage.resize(601, 479)
        self.verticalLayout = QtWidgets.QVBoxLayout(LogViewerPage)
        self.verticalLayout.setObjectName("verticalLayout")
        self.headerLabel = QtWidgets.QLabel(parent=LogViewerPage)
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout.addWidget(self.headerLabel)
        self.line9 = QtWidgets.QFrame(parent=LogViewerPage)
        self.line9.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line9.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line9.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line9.setObjectName("line9")
        self.verticalLayout.addWidget(self.line9)
        self.lvAutoRaiseCheckBox = QtWidgets.QCheckBox(parent=LogViewerPage)
        self.lvAutoRaiseCheckBox.setObjectName("lvAutoRaiseCheckBox")
        self.verticalLayout.addWidget(self.lvAutoRaiseCheckBox)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.TextLabel3_2_2 = QtWidgets.QLabel(parent=LogViewerPage)
        self.TextLabel3_2_2.setObjectName("TextLabel3_2_2")
        self.horizontalLayout.addWidget(self.TextLabel3_2_2)
        self.stderrTextColourButton = QtWidgets.QPushButton(parent=LogViewerPage)
        self.stderrTextColourButton.setMinimumSize(QtCore.QSize(100, 0))
        self.stderrTextColourButton.setText("")
        self.stderrTextColourButton.setObjectName("stderrTextColourButton")
        self.horizontalLayout.addWidget(self.stderrTextColourButton)
        self.errorTextExample = QtWidgets.QLineEdit(parent=LogViewerPage)
        self.errorTextExample.setReadOnly(True)
        self.errorTextExample.setObjectName("errorTextExample")
        self.horizontalLayout.addWidget(self.errorTextExample)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.label = QtWidgets.QLabel(parent=LogViewerPage)
        self.label.setObjectName("label")
        self.verticalLayout.addWidget(self.label)
        self.filtersTabWidget = QtWidgets.QTabWidget(parent=LogViewerPage)
        self.filtersTabWidget.setObjectName("filtersTabWidget")
        self.stdout = QtWidgets.QWidget()
        self.stdout.setObjectName("stdout")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.stdout)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.stdoutFilterEdit = EricStringListEditWidget(parent=self.stdout)
        self.stdoutFilterEdit.setObjectName("stdoutFilterEdit")
        self.verticalLayout_2.addWidget(self.stdoutFilterEdit)
        self.filtersTabWidget.addTab(self.stdout, "")
        self.stderr = QtWidgets.QWidget()
        self.stderr.setObjectName("stderr")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(self.stderr)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.stderrFilterEdit = EricStringListEditWidget(parent=self.stderr)
        self.stderrFilterEdit.setObjectName("stderrFilterEdit")
        self.verticalLayout_3.addWidget(self.stderrFilterEdit)
        self.filtersTabWidget.addTab(self.stderr, "")
        self.stdxxx = QtWidgets.QWidget()
        self.stdxxx.setObjectName("stdxxx")
        self.verticalLayout_4 = QtWidgets.QVBoxLayout(self.stdxxx)
        self.verticalLayout_4.setObjectName("verticalLayout_4")
        self.stdxxxFilterEdit = EricStringListEditWidget(parent=self.stdxxx)
        self.stdxxxFilterEdit.setObjectName("stdxxxFilterEdit")
        self.verticalLayout_4.addWidget(self.stdxxxFilterEdit)
        self.filtersTabWidget.addTab(self.stdxxx, "")
        self.verticalLayout.addWidget(self.filtersTabWidget)

        self.retranslateUi(LogViewerPage)
        self.filtersTabWidget.setCurrentIndex(0)
        QtCore.QMetaObject.connectSlotsByName(LogViewerPage)
        LogViewerPage.setTabOrder(self.lvAutoRaiseCheckBox, self.stderrTextColourButton)
        LogViewerPage.setTabOrder(self.stderrTextColourButton, self.filtersTabWidget)

    def retranslateUi(self, LogViewerPage):
        _translate = QtCore.QCoreApplication.translate
        self.headerLabel.setText(_translate("LogViewerPage", "<b>Configure Log Viewer</b>"))
        self.lvAutoRaiseCheckBox.setToolTip(_translate("LogViewerPage", "Select to show the log-viewer upon new output"))
        self.lvAutoRaiseCheckBox.setText(_translate("LogViewerPage", "Show upon new output"))
        self.TextLabel3_2_2.setText(_translate("LogViewerPage", "Error Color:"))
        self.stderrTextColourButton.setToolTip(_translate("LogViewerPage", "Select the color for text sent to stderr"))
        self.errorTextExample.setText(_translate("LogViewerPage", "There was an error condition reported."))
        self.label.setText(_translate("LogViewerPage", "Message Filters:"))
        self.filtersTabWidget.setTabText(self.filtersTabWidget.indexOf(self.stdout), _translate("LogViewerPage", "Standard Output"))
        self.filtersTabWidget.setTabText(self.filtersTabWidget.indexOf(self.stderr), _translate("LogViewerPage", "Standard Error"))
        self.filtersTabWidget.setTabText(self.filtersTabWidget.indexOf(self.stdxxx), _translate("LogViewerPage", "Both"))
from eric7.EricWidgets.EricStringListEditWidget import EricStringListEditWidget
